Skip to main content
GET
cURL

Query Parameters

sandbox_id
string

Filter by a specific sandbox ID. When provided, returns only the sandbox matching this ID. Must be a sandbox that your account or organization is an admin of.

Example:

"sbx_abc123def456"

account_id
string<uuid>

Filter to a specific account. Only applicable when the authenticated account has access to multiple accounts via organization membership.

Response

Sandboxes retrieved successfully

Response containing sandbox information

status
enum<string>
required

Status of the request

Available options:
success,
error
sandboxes
object[]
required

Array of sandbox objects

snapshot_id
string | null

The account's saved snapshot ID used for creating new sandboxes. Null if no snapshot has been saved.

Example:

"snap_abc123def456"

github_repo
string | null

The GitHub repository URL associated with the account's sandbox environment. Used as the filesystem source when restoring sandboxes.

Example:

"https://github.com/username/repo"

filetree
object[] | null

The recursive file tree of the account's GitHub repository. Null if no github_repo is set or if the fetch fails.

error
string

Error message (only present if status is error)